1.0

1.0

post /v1/ports

Description

Create port.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "fixed_ip_address": "",
    "name": "",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_type": "",
        "created_at": "2026-02-11T06:45:05.409Z",
        "description": "",
        "fixed_ip_address": "",
        "id": "",
        "mac_address": "",
        "modified_at": "2026-02-11T06:45:05.409Z",
        "name": "",
        "security_groups": [
            {
                "id": "",
                "name": ""
            }
        ],
        "state": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}